StoreTable extends DataManager
Class StoreTable
Fields:
- ID int mandatory
- TITLE string(75) optional
- ACTIVE bool optional default 'Y'
- ADDRESS string(245) mandatory
- DESCRIPTION string optional
- GPS_N string(15) optional
- GPS_S string(15) optional
- IMAGE_ID string(45) optional
- LOCATION_ID int optional
- DATE_MODIFY datetime mandatory default 'CURRENT_TIMESTAMP'
- DATE_CREATE datetime optional
- USER_ID int optional
- MODIFIED_BY int optional
- PHONE string(45) optional
- SCHEDULE string(255) optional
- XML_ID string(255) optional
- SORT int optional default 100
- EMAIL string(255) optional
- ISSUING_CENTER bool optional default 'Y'
- SHIPPING_CENTER bool optional default 'Y'
- SITE_ID string(2) optional
- CODE string(255) optional
- IS_DEFAULT string(1) optional default 'N'
Table of Contents
Constants
- EVENT_ON_ADD = "OnAdd"
- EVENT_ON_AFTER_ADD = "OnAfterAdd"
- EVENT_ON_AFTER_DELETE = "OnAfterDelete"
- EVENT_ON_AFTER_UPDATE = "OnAfterUpdate"
- EVENT_ON_BEFORE_ADD = "OnBeforeAdd"
- EVENT_ON_BEFORE_DELETE = "OnBeforeDelete"
- EVENT_ON_BEFORE_UPDATE = "OnBeforeUpdate"
- EVENT_ON_DELETE = "OnDelete"
- EVENT_ON_UPDATE = "OnUpdate"
Methods
- add() : AddResult
- Adds row to entity table
- addMulti() : AddResult
- Adds several rows to entity table.
- checkFields() : mixed
- Checks the data fields before saving to DB. Result stores in the $result object
- cleanCache() : void
- Cleans the tablet cache after data modifications.
- createCollection() : EO_Store_Collection
- createObject() : EO_Store
- cryptoEnabled() : bool
- Returns true if crypto is enabled for a field.
- delete() : DeleteResult
- Deletes row in entity table by primary key
- enableCrypto() : mixed
- Sets a flag indicating crypto support for a field.
- getById() : EO_Store_Result
- Returns selection by entity's primary key
- getByPrimary() : EO_Store_Result
- Returns selection by entity's primary key and optional parameters for getList()
- getCollectionClass() : string|Collection
- Returns class of Object collection for current entity.
- getCollectionClassName() : string
- Returns class name (without namespace) of Object collection for current entity.
- getCollectionParentClass() : Collection|string
- getConnectionName() : string
- Returns connection name for entity
- getCount() : int
- Performs COUNT query on entity and returns the result.
- getDefaultStoreId() : int|null
- getEntity() : EO_Store_Entity
- Returns entity object
- getEntityClass() : Entity|string
- getList() : EO_Store_Result
- Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions
- getMap() : array<string|int, mixed>
- Returns entity map definition.
- getObjectClass() : string|EntityObject
- Returns class of Object for current entity.
- getObjectClassName() : string
- Returns class name (without namespace) of Object for current entity.
- getObjectParentClass() : EntityObject|string
- getQueryClass() : Query|string
- getRow() : array<string|int, mixed>|null
- Returns one row (or null) by parameters for getList()
- getRowById() : array<string|int, mixed>|null
- Returns one row (or null) by entity's primary key
- getStoreCreatorId() : int|null
- getTableName() : string
- Returns DB table name for entity.
- getTitle() : string|null
- getUfId() : string
- Return uf identifier.
- isCacheable() : bool
- You can disable cache for the tablet completely.
- isUtm() : mixed
- isUts() : mixed
- onAdd() : mixed
- onAfterAdd() : mixed
- onAfterDelete() : mixed
- onAfterUpdate() : mixed
- onBeforeAdd() : EventResult
- Default onBeforeAdd handler. Absolutely necessary.
- onBeforeDelete() : mixed
- onBeforeUpdate() : EventResult
- Default onBeforeUpdate handler. Absolutely necessary.
- onDelete() : mixed
- onUpdate() : mixed
- postInitialize() : null
- query() : EO_Store_Query
- Creates and returns the Query object for the entity
- setCurrentDeletingObject() : void
- setDefaultScope() : Query
- unsetEntity() : mixed
- update() : UpdateResult
- Updates row in entity table by primary key
- updateMulti() : UpdateResult
- validateAddress() : array<string|int, mixed>
- Returns validators for ADDRESS field.
- validateCode() : array<string|int, mixed>
- Returns validators for CODE field.
- validateEmail() : array<string|int, mixed>
- Returns validators for EMAIL field.
- validateGpsN() : array<string|int, mixed>
- Returns validators for GPS_N field.
- validateGpsS() : array<string|int, mixed>
- Returns validators for GPS_S field.
- validateImageId() : array<string|int, mixed>
- Returns validators for IMAGE_ID field.
- validatePhone() : array<string|int, mixed>
- Returns validators for PHONE field.
- validateSchedule() : array<string|int, mixed>
- Returns validators for SCHEDULE field.
- validateSiteId() : array<string|int, mixed>
- Returns validators for SITE_ID field.
- validateTitle() : array<string|int, mixed>
- Returns validators for TITLE field.
- validateXmlId() : array<string|int, mixed>
- Returns validators for XML_ID field.
- wakeUpCollection() : EO_Store_Collection
- wakeUpObject() : EO_Store
Constants
EVENT_ON_ADD
public
mixed
EVENT_ON_ADD
= "OnAdd"
EVENT_ON_AFTER_ADD
public
mixed
EVENT_ON_AFTER_ADD
= "OnAfterAdd"
EVENT_ON_AFTER_DELETE
public
mixed
EVENT_ON_AFTER_DELETE
= "OnAfterDelete"
EVENT_ON_AFTER_UPDATE
public
mixed
EVENT_ON_AFTER_UPDATE
= "OnAfterUpdate"
EVENT_ON_BEFORE_ADD
public
mixed
EVENT_ON_BEFORE_ADD
= "OnBeforeAdd"
EVENT_ON_BEFORE_DELETE
public
mixed
EVENT_ON_BEFORE_DELETE
= "OnBeforeDelete"
EVENT_ON_BEFORE_UPDATE
public
mixed
EVENT_ON_BEFORE_UPDATE
= "OnBeforeUpdate"
EVENT_ON_DELETE
public
mixed
EVENT_ON_DELETE
= "OnDelete"
EVENT_ON_UPDATE
public
mixed
EVENT_ON_UPDATE
= "OnUpdate"
Methods
add()
Adds row to entity table
public
static add(array<string|int, mixed> $data) : AddResult
Parameters
- $data : array<string|int, mixed>
-
An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.
This method uses the default strategy defined in the class.
Tags
Return values
AddResult —Contains ID of inserted row
addMulti()
Adds several rows to entity table.
public
static addMulti(mixed $rows[, bool $ignoreEvents = false ]) : AddResult
This method uses the default strategy defined in the class.
Parameters
- $rows : mixed
- $ignoreEvents : bool = false
Tags
Return values
AddResultcheckFields()
Checks the data fields before saving to DB. Result stores in the $result object
public
static checkFields(Result $result, mixed $primary, array<string|int, mixed> $data) : mixed
Parameters
- $result : Result
- $primary : mixed
- $data : array<string|int, mixed>
Tags
cleanCache()
Cleans the tablet cache after data modifications.
public
static cleanCache() : void
createCollection()
public
static createCollection() : EO_Store_Collection
Return values
EO_Store_CollectioncreateObject()
public
static createObject([mixed $setDefaultValues = = 'true' ]) : EO_Store
Parameters
- $setDefaultValues : mixed = = 'true'
Return values
EO_StorecryptoEnabled()
Returns true if crypto is enabled for a field.
public
static cryptoEnabled(string $field[, string $table = null ]) : bool
Parameters
- $field : string
- $table : string = null
Return values
booldelete()
Deletes row in entity table by primary key
public
static delete(mixed $primary) : DeleteResult
Parameters
- $primary : mixed
Tags
Return values
DeleteResultenableCrypto()
Sets a flag indicating crypto support for a field.
public
static enableCrypto(string $field[, string $table = null ][, bool $mode = true ]) : mixed
Parameters
- $field : string
- $table : string = null
- $mode : bool = true
getById()
Returns selection by entity's primary key
public
static getById(mixed $id) : EO_Store_Result
Parameters
- $id : mixed
-
Primary key of the entity
Return values
EO_Store_ResultgetByPrimary()
Returns selection by entity's primary key and optional parameters for getList()
public
static getByPrimary(mixed $primary[, array<string|int, mixed> $parameters = = '[]' ]) : EO_Store_Result
Parameters
- $primary : mixed
-
Primary key of the entity
- $parameters : array<string|int, mixed> = = '[]'
-
Additional parameters for getList()
Return values
EO_Store_ResultgetCollectionClass()
Returns class of Object collection for current entity.
public
static getCollectionClass() : string|Collection
Return values
string|CollectiongetCollectionClassName()
Returns class name (without namespace) of Object collection for current entity.
public
final static getCollectionClassName() : string
Return values
stringgetCollectionParentClass()
public
static getCollectionParentClass() : Collection|string
Return values
Collection|stringgetConnectionName()
Returns connection name for entity
public
static getConnectionName() : string
Return values
stringgetCount()
Performs COUNT query on entity and returns the result.
public
static getCount([array<string|int, mixed>|ConditionTree $filter = array() ][, array<string|int, mixed> $cache = array() ]) : int
Parameters
- $filter : array<string|int, mixed>|ConditionTree = array()
- $cache : array<string|int, mixed> = array()
-
An array of cache options "ttl" => integer indicating cache TTL
Tags
Return values
intgetDefaultStoreId()
public
static getDefaultStoreId() : int|null
Return values
int|nullgetEntity()
Returns entity object
public
static getEntity() : EO_Store_Entity
Return values
EO_Store_EntitygetEntityClass()
public
static getEntityClass() : Entity|string
Return values
Entity|stringgetList()
Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions
public
static getList([array<string|int, mixed> $parameters = = '[]' ]) : EO_Store_Result
Parameters
- $parameters : array<string|int, mixed> = = '[]'
-
An array of query parameters, available keys are:
"select" => array of fields in the SELECT part of the query, aliases are possible in the form of "alias"=>"field";
"filter" => array of filters in the WHERE/HAVING part of the query in the form of "(condition)field"=>"value"; also could be an instance of Filter;
"group" => array of fields in the GROUP BY part of the query;
"order" => array of fields in the ORDER BY part of the query in the form of "field"=>"asc|desc";
"limit" => integer indicating maximum number of rows in the selection (like LIMIT n in MySql);
"offset" => integer indicating first row number in the selection (like LIMIT n, 100 in MySql);
"runtime" => array of entity fields created dynamically;
"cache => array of cache options:
"ttl" => integer indicating cache TTL;
"cache_joins" => boolean enabling to cache joins, false by default.
Return values
EO_Store_ResultgetMap()
Returns entity map definition.
public
static getMap() : array<string|int, mixed>
Return values
array<string|int, mixed>getObjectClass()
Returns class of Object for current entity.
public
static getObjectClass() : string|EntityObject
Return values
string|EntityObjectgetObjectClassName()
Returns class name (without namespace) of Object for current entity.
public
final static getObjectClassName() : string
Return values
stringgetObjectParentClass()
public
static getObjectParentClass() : EntityObject|string
Return values
EntityObject|stringgetQueryClass()
public
static getQueryClass() : Query|string
Return values
Query|stringgetRow()
Returns one row (or null) by parameters for getList()
public
static getRow(array<string|int, mixed> $parameters) : array<string|int, mixed>|null
Parameters
- $parameters : array<string|int, mixed>
-
Primary key of the entity
Tags
Return values
array<string|int, mixed>|nullgetRowById()
Returns one row (or null) by entity's primary key
public
static getRowById(mixed $id[, array<string|int, mixed> $parameters = [] ]) : array<string|int, mixed>|null
Parameters
- $id : mixed
-
Primary key of the entity
- $parameters : array<string|int, mixed> = []
-
Additional parameters for getList()
Tags
Return values
array<string|int, mixed>|nullgetStoreCreatorId()
public
static getStoreCreatorId(int $storeId) : int|null
Parameters
- $storeId : int
Return values
int|nullgetTableName()
Returns DB table name for entity.
public
static getTableName() : string
Return values
stringgetTitle()
public
static getTitle() : string|null
Return values
string|nullgetUfId()
Return uf identifier.
public
static getUfId() : string
Return values
stringisCacheable()
You can disable cache for the tablet completely.
public
static isCacheable() : bool
Return values
boolisUtm()
public
static isUtm() : mixed
isUts()
public
static isUts() : mixed
onAdd()
public
static onAdd(Event $event) : mixed
Parameters
- $event : Event
onAfterAdd()
public
static onAfterAdd(Event $event) : mixed
Parameters
- $event : Event
onAfterDelete()
public
static onAfterDelete(Event $event) : mixed
Parameters
- $event : Event
onAfterUpdate()
public
static onAfterUpdate(Event $event) : mixed
Parameters
- $event : Event
onBeforeAdd()
Default onBeforeAdd handler. Absolutely necessary.
public
static onBeforeAdd(Event $event) : EventResult
Parameters
- $event : Event
-
Current data for add.
Return values
EventResultonBeforeDelete()
public
static onBeforeDelete(Event $event) : mixed
Parameters
- $event : Event
onBeforeUpdate()
Default onBeforeUpdate handler. Absolutely necessary.
public
static onBeforeUpdate(Event $event) : EventResult
Parameters
- $event : Event
-
Current data for update.
Return values
EventResultonDelete()
public
static onDelete(Event $event) : mixed
Parameters
- $event : Event
onUpdate()
public
static onUpdate(Event $event) : mixed
Parameters
- $event : Event
postInitialize()
public
static postInitialize(Entity $entity) : null
Parameters
- $entity : Entity
Return values
nullquery()
Creates and returns the Query object for the entity
public
static query() : EO_Store_Query
Return values
EO_Store_QuerysetCurrentDeletingObject()
public
static setCurrentDeletingObject(EntityObject $object) : void
Parameters
- $object : EntityObject
setDefaultScope()
public
static setDefaultScope(Query $query) : Query
Parameters
- $query : Query
Return values
QueryunsetEntity()
public
static unsetEntity(mixed $class) : mixed
Parameters
- $class : mixed
update()
Updates row in entity table by primary key
public
static update(mixed $primary, array<string|int, mixed> $data) : UpdateResult
Parameters
- $primary : mixed
- $data : array<string|int, mixed>
-
An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.
Tags
Return values
UpdateResultupdateMulti()
public
static updateMulti(array<string|int, mixed> $primaries, array<string|int, mixed> $data[, bool $ignoreEvents = false ]) : UpdateResult
Parameters
- $primaries : array<string|int, mixed>
- $data : array<string|int, mixed>
- $ignoreEvents : bool = false
Tags
Return values
UpdateResultvalidateAddress()
Returns validators for ADDRESS field.
public
static validateAddress() : array<string|int, mixed>
Return values
array<string|int, mixed>validateCode()
Returns validators for CODE field.
public
static validateCode() : array<string|int, mixed>
Return values
array<string|int, mixed>validateEmail()
Returns validators for EMAIL field.
public
static validateEmail() : array<string|int, mixed>
Return values
array<string|int, mixed>validateGpsN()
Returns validators for GPS_N field.
public
static validateGpsN() : array<string|int, mixed>
Return values
array<string|int, mixed>validateGpsS()
Returns validators for GPS_S field.
public
static validateGpsS() : array<string|int, mixed>
Return values
array<string|int, mixed>validateImageId()
Returns validators for IMAGE_ID field.
public
static validateImageId() : array<string|int, mixed>
Return values
array<string|int, mixed>validatePhone()
Returns validators for PHONE field.
public
static validatePhone() : array<string|int, mixed>
Return values
array<string|int, mixed>validateSchedule()
Returns validators for SCHEDULE field.
public
static validateSchedule() : array<string|int, mixed>
Return values
array<string|int, mixed>validateSiteId()
Returns validators for SITE_ID field.
public
static validateSiteId() : array<string|int, mixed>
Return values
array<string|int, mixed>validateTitle()
Returns validators for TITLE field.
public
static validateTitle() : array<string|int, mixed>
Return values
array<string|int, mixed>validateXmlId()
Returns validators for XML_ID field.
public
static validateXmlId() : array<string|int, mixed>
Return values
array<string|int, mixed>wakeUpCollection()
public
static wakeUpCollection(mixed $rows) : EO_Store_Collection
Parameters
- $rows : mixed
Return values
EO_Store_CollectionwakeUpObject()
public
static wakeUpObject(mixed $row) : EO_Store
Parameters
- $row : mixed